document.addEventListener('DOMContentLoaded', () => {
  const scanButton = document.getElementById('scanButton');
  const scanResult = document.querySelector('.scan-result');
  
  const results = [
    'No impostor detected',
    'IMPOSTOR ALERT! 🚨',
    'Crew member verified',
    'Suspicious activity detected',
    'Scan inconclusive'
  ];
  
  scanButton.addEventListener('click', () => {
    scanButton.disabled = true;
    scanResult.textContent = 'Scanning...';
    
    setTimeout(() => {
      const randomResult = results[Math.floor(Math.random() * results.length)];
      scanResult.textContent = randomResult;
      scanButton.disabled = false;
    }, 2000);
  });
  
  // Add parallax effect to hero section
  document.addEventListener('mousemove', (e) => {
    const hero = document.querySelector('.hero');
    const mouseX = e.clientX / window.innerWidth;
    const mouseY = e.clientY / window.innerHeight;
    
    hero.style.backgroundPosition = `${mouseX * 50}% ${mouseY * 50}%`;
  });
  
  // Animate stats on scroll
  const stats = document.querySelectorAll('.stat-card p');
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.style.opacity = 1;
        entry.target.style.transform = 'translateY(0)';
      }
    });
  });
  
  stats.forEach(stat => {
    stat.style.opacity = 0;
    stat.style.transform = 'translateY(20px)';
    stat.style.transition = 'all 0.6s ease';
    observer.observe(stat);
  });
});